#include <extend.h>
#include "../rlibc/rlibc.h"

CLIPPER dfSendPort( void )
{
	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}
	_retni(sendport( _parni(1), _parc(2) ));
}

CLIPPER dfRecvPort( void )
{
	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}
	_retni(recvport( _parni(1), _parc(2) ));
}

CLIPPER dfGetTOut ( void )
{
	_retni(DFGetTOut());
}


CLIPPER dfGetCode ( void )
{
	int wynik;
	char bufor[4];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetCode(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetVatR ( void )
{
	int wynik;
	char bufor[9];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetVatRates(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetVR2 ( void )
{
	int wynik;
	char bufor[25];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetVatRates2(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfTowInfo ( )
{
	int wynik;
	char bufor[6];

	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}
	if (_parinfo(1)!=CHARACTER)
	{
		_retni(R4);
		return;
	}
	wynik=DFTowarInfo(_parc(1), bufor);
	_storc(bufor, 2);
	_retni(wynik);
}

CLIPPER dfGetTTime ( void )
{
	int wynik;
	char bufor[3];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetTTime(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetSym ( void )
{
	int wynik;
	char bufor[6];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetSymbol(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetHead ( void )
{
	int wynik;
	char bufor[145];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetHeader(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetFoot ( void )
{
	int wynik;
	char bufor[145];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetFooter(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetTimDa ( void )
{
	int wynik;
	char data[7];
	char czas[5];

	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetTimDat(data, czas);
	_storc(data, 1);
	_storc(czas, 2);
	_retni(wynik);
}

CLIPPER dfGetS ( void )
{
	int wynik;
	char bufor[3];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetSerwis(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfGetTotal ( void )
{
	int wynik;
	char *data="           ";
	char *numrap="       ";
	char *sprzedA="          ";
	char *sprzedB="          ";
	char *sprzedC="          ";
	char *sprzedD="          ";
	char *sprzedE="          ";
	char *sprzedF="          ";
	char *sprzedZW="          ";
	char *ilparfisk="       ";

	if (PCOUNT<10)
	{
		_retni(R4);
		return;
	}

	wynik=DFGetTotal( data, numrap, sprzedA, sprzedB, sprzedC, sprzedD,
                         sprzedE, sprzedF, sprzedZW, ilparfisk);
	_storc(data, 1);
	_storc(numrap, 2);
	_storc(sprzedA, 3);
	_storc(sprzedB, 4);
	_storc(sprzedC, 5);
	_storc(sprzedD, 6);
	_storc(sprzedE, 7);
	_storc(sprzedF, 8);
	_storc(sprzedZW, 9);
	_storc(ilparfisk, 10);
	_retni(wynik);
}

CLIPPER dfGetNUNIP ( void )
{
	int wynik;
	char *nu="          ";
	char *nip="	         ";

	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}

	wynik=DFGetNU_NIP( nu, nip );
	_storc(nu, 1);
	_storc(nip, 2);
	_retni(wynik);
}

CLIPPER dfGetNumRD ( void )
{
	int wynik;
	char *data="        ";
	char *numer="     ";

	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}

	wynik=DFGetNumRapDob( data, numer );
	_storc(data, 1);
	_storc(numer, 2);
	_retni(wynik);
}

CLIPPER dfGetIlZer ( void )
{
	int wynik;
	char *il="   ";
	char *zm="  ";

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}

	wynik=DFGetIlZerRAM( il, zm );
	_storc(il, 1);
	_storc(zm, 2);
	_retni(wynik);
}

CLIPPER dfGetOnLin ( void )
{
	int wynik;
	char bufor[2];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFGetOnLine(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

