#include "rlibc.h"
#include <string.h>


int DFGetTOut ( void )
{
	return (get_timeout());
}

int DFGetCode ( char *kod )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("K3");
	if (wynik!=I1)
		return (wynik);
	if (recvport(2, kod)==-1)
		return (R0);
	kod[2]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFGetVatRates ( char *vatrates )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("D2");
	if (wynik!=I1 )
		return (wynik);
	if (recvport(8, vatrates)==-1)
		return (R0);
	vatrates[8]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFGetVatRates2 ( char *vatrates )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("D3");
	if (wynik!=I1 )
		return (wynik);
	if (recvport(24, vatrates)==-1)
		return (R0);
	vatrates[24]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFTowarInfo ( char *nazwa, char *st )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("L5");
	if (wynik!=I1)
		return (wynik);
	if (sendport(18, nazwa)==-1)		
		return (R0);	
	if (recvport(2, bufor)==-1)
		return (R0);
	if (mk_translate(bufor)!= 1)
		return (mk_translate(bufor));
	if (recvport(5, st)==-1)
		return (R0);
	st[3]=0;
	return(1);
}


int DFGetTTime ( char *tresc )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("C2");
	if (wynik!=I1)
		return (wynik);
	if (recvport(2, tresc)==-1)
		return (R0);
	tresc[2]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFGetSymbol ( char *symbol )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("I2");
	if (wynik!=I1)
		return (wynik);
	if (recvport(5, symbol)==-1)
		return (R0);
	symbol[5]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFGetHeader ( char *tresc )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("N3");
	if (wynik!=I1)
		return (wynik);
	if (recvport(144, tresc)==-1)
		return (R0);
	tresc[144]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFGetFooter ( char *tresc )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("N4");
	if (wynik!=I1)
		return (wynik);
	if (recvport(144, tresc)==-1)
		return (R0);
	tresc[144]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}



int DFGetTimDat ( char *data, char *czas )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("U5");
	if (wynik!=I1)
		return (wynik);
	if (recvport(6, data)==-1)
		return (R0);
	data[6]=0;
	if (recvport(4, czas)==-1)
		return (R0);
	czas[4]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}

int DFGetSerwis ( char *stat )
{
	int wynik;
	char *bufor="  ";

	wynik=podaj_rozkaz("I3");
	if (wynik!=I1)
		return (wynik);
	if (recvport(2, stat)==-1)
		return (R0);
	stat[2]=0;
	if (recvport(2, bufor)==-1)
		return (R0);
	return (mk_translate(bufor));
}


int DFGetTotal ( char *data, char *numrap, char *sprzedA, char *sprzedB,
                 char *sprzedC, char *sprzedD, 
                 char *sprzedE, char *sprzedF, char *sprzedZW,
                 char *IlParFisk)
{
	int wynik;
	char bufor[91];
	char bufor1[3];

	if (strlen(data)<6 || strlen(numrap)<5 || strlen(sprzedA)<9 ||
		 strlen(sprzedB)<9 || strlen(sprzedC)<9 || strlen(sprzedD)<9 ||
		 strlen(sprzedE)<9 || strlen(sprzedF)<9 ||
	    strlen(sprzedZW)<9 || strlen(IlParFisk)<5 )
		return (R4);

	wynik=podaj_rozkaz("T1");
	if (wynik!=I1)
		return (wynik);
	if (recvport(79, bufor)==-1)
		return (R0);
	if (recvport(2, bufor1)==-1)
		return (R0);

	memcpy( data, bufor, 6);
	data[6]=0;
	memcpy( numrap, &bufor[6], 5);
	numrap[5]=0;
	memcpy( sprzedA, &bufor[11], 9);
	sprzedA[9]=0;
	memcpy( sprzedB, &bufor[20], 9);
	sprzedB[9]=0;
	memcpy( sprzedC, &bufor[29], 9);
	sprzedC[9]=0;
	memcpy( sprzedD, &bufor[38], 9);
	sprzedD[9]=0;
	memcpy( sprzedE, &bufor[47], 9);
	sprzedE[9]=0;
	memcpy( sprzedF, &bufor[56], 9);
	sprzedF[9]=0;
	memcpy( sprzedZW, &bufor[65], 9);
	sprzedA[9]=0;
	memcpy( IlParFisk, &bufor[74], 5);
	IlParFisk[5]=0;

	return (mk_translate(bufor1));
}


int DFGetNU_NIP ( char *nu, char *nip )
{
	int wynik;
	char bufor[21];
	char bufor1[3];

	if (strlen(nu)<10 || strlen(nip)<10 )
		return (R4);

	wynik=podaj_rozkaz("B1");
	if (wynik!=I1)
		return (wynik);
	if (recvport(20, bufor)==-1)
		return (R0);
	if (recvport(2, bufor1)==-1)
		return (R0);

	memcpy( nu, bufor, 10);
	nu[10]=0;
	memcpy( nip, &bufor[10], 10);
	nip[10]=0;

	return (mk_translate(bufor1));
}

int DFGetNumRapDob ( char *data, char *numer )
{
	int wynik;
	char bufor[14];
	char bufor1[3];

	if (strlen(data)<6 || strlen(numer)<5 )
		return (R4);

	wynik=podaj_rozkaz("B2");
	if (wynik!=I1)
		return (wynik);
	if (recvport(11, bufor)==-1)
		return (R0);
	if (recvport(2, bufor1)==-1)
		return (R0);

	memcpy( data, bufor, 6);
	data[6]=0;
	memcpy( numer, &bufor[6], 5);
	numer[5]=0;

	return (mk_translate(bufor1));
}

int DFGetIlZerRAM ( char *il_zer, char *il_zm )
{
	int wynik;
	char bufor[6];
	char bufor1[3];

	if (strlen(il_zer)<3 || strlen(il_zm)<2)
		return (R4);

	wynik=podaj_rozkaz("B3");
	if (wynik!=I1)
		return (wynik);
	if (recvport(5, bufor)==-1)
		return (R0);
	memcpy( il_zer, bufor, 3 );
	il_zer[3] = 0;
	memcpy( il_zm, &bufor[3], 2 );
	il_zm[2] = 0;
	if (recvport(2, bufor1)==-1)
		return (R0);

	return (mk_translate(bufor1));
}

int DFGetOnLine ( char *st )
{
	int wynik;
	char bufor[3];

	if (strlen(st)<1)
		return (R4);

	wynik=podaj_rozkaz("I4");
	if (wynik!=I1)
		return (wynik);
	if (recvport(1, st)==-1)
		return (R0);
	if (recvport(2, bufor)==-1)
		return (R0);

	return (mk_translate(bufor));
}